放牧代码和思想
专注自然语言处理、机器学习算法
    博主不用扣扣,公事请博客留言,私事请微博私信。开源项目一律GitHub见,发错地方恕不回复,谢谢。

解决IDEA This version of the rendering library is more recent than your version of IntelliJ IDEA. Please update IntelliJ IDEA

我下载的是最新的4.3SDK,编辑main.xml抛出异常org.jetbrains.android.uipreview.RenderingException: This version of the rendering library is more recent than your version of IntelliJ IDEA. Please update IntelliJ IDEA。

原因是工程是2.3的工程,但IDEA不够智能地使用4.3的SDK去渲染它,解决方案很简单,看下图的鼠标,在下拉框里选择2.3然后重新打开一下:

就会发现正常渲染了:

知识共享许可协议 知识共享署名-非商业性使用-相同方式共享码农场 » 解决IDEA This version of the rendering library is more recent than your version of IntelliJ IDEA. Please update IntelliJ IDEA

分享到:更多 ()

评论 5

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址
  1. #2

    谢谢~

    宿莽2年前 (2016-01-23)回复
  2. #1

    你好,博主,上面那个2.3的下拉列表,在intellj里没有哈

    ailang3234年前 (2013-11-08)回复
    • 就在design界面的上面,不过只有在您安装并让idea识别了2.3sdk之后,列表框里才有2.3

      hankcs4年前 (2013-11-08)回复

我的开源项目

HanLP自然语言处理包基于DoubleArrayTrie的Aho Corasick自动机